## org.apache.xerces.impl.validation
Class ValidationState

    java.lang.Object
      org.apache.xerces.impl.validation.ValidationState

All Implemented Interfaces:
  ValidationContext

Direct Known Subclasses:
  ConfigurableValidationState

    public class ValidationState

extends java.lang.Object
implements ValidationContext

Implementation of the ValidationContext interface. Used to establish an environment for simple type validation.

Version:
  $Id: ValidationState.java 713638 2008-11-13 04:42:18Z mrglavas $
Author:
  Elena Litani, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`ValidationState()`

Method Summary
`void` `addId(java.lang.String name)`
`void` `addIdRef(java.lang.String name)`
`java.lang.String` `checkIDRefID()` return null if all IDREF values have a corresponding ID value; otherwise return the first IDREF value without a matching ID value.
`java.util.Locale` `getLocale()`
`java.lang.String` `getSymbol(java.lang.String symbol)`
`java.lang.String` `getURI(java.lang.String prefix)`
`boolean` `isEntityDeclared(java.lang.String name)`
`boolean` `isEntityUnparsed(java.lang.String name)`
`boolean` `isIdDeclared(java.lang.String name)`
`boolean` `needExtraChecking()`
`boolean` `needFacetChecking()`
`boolean` `needToNormalize()`
`void` `reset()`
`void` `resetIDTables()` The same validation state can be used to validate more than one (schema) validation roots.
`void` `setEntityState(EntityState state)`
`void` `setExtraChecking(boolean newValue)`
`void` `setFacetChecking(boolean newValue)`
`void` `setLocale(java.util.Locale locale)`
`void` `setNamespaceSupport(org.apache.xerces.xni.NamespaceContext namespace)`
`void` `setNormalizationRequired(boolean newValue)`
`void` `setSymbolTable(SymbolTable sTable)`
`void` `setUsingNamespaces(boolean newValue)`
`boolean` `useNamespaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationState

    public ValidationState()

Method Detail

### setExtraChecking

    public void setExtraChecking(boolean newValue)

### setFacetChecking

    public void setFacetChecking(boolean newValue)

### setNormalizationRequired

    public void setNormalizationRequired(boolean newValue)

### setUsingNamespaces

    public void setUsingNamespaces(boolean newValue)

### setEntityState

    public void setEntityState(EntityState state)

### setNamespaceSupport

    public void setNamespaceSupport(org.apache.xerces.xni.NamespaceContext namespace)

### setSymbolTable

    public void setSymbolTable(SymbolTable sTable)

### checkIDRefID

    public java.lang.String checkIDRefID()

  return null if all IDREF values have a corresponding ID value; otherwise return the first IDREF value without a matching ID value.

### reset

    public void reset()

### resetIDTables

    public void resetIDTables()

  The same validation state can be used to validate more than one (schema) validation roots. Entity/Namespace/Symbol are shared, but each validation root needs its own id/idref tables. So we need this method to reset only the two tables.

### needExtraChecking

    public boolean needExtraChecking()

  Specified by:
    `needExtraChecking` in interface `ValidationContext`

### needFacetChecking

    public boolean needFacetChecking()

  Specified by:
    `needFacetChecking` in interface `ValidationContext`

### needToNormalize

    public boolean needToNormalize()

  Specified by:
    `needToNormalize` in interface `ValidationContext`

### useNamespaces

    public boolean useNamespaces()

  Specified by:
    `useNamespaces` in interface `ValidationContext`

### isEntityDeclared

    public boolean isEntityDeclared(java.lang.String name)

  Specified by:
    `isEntityDeclared` in interface `ValidationContext`

### isEntityUnparsed

    public boolean isEntityUnparsed(java.lang.String name)

  Specified by:
    `isEntityUnparsed` in interface `ValidationContext`

### isIdDeclared

    public boolean isIdDeclared(java.lang.String name)

  Specified by:
    `isIdDeclared` in interface `ValidationContext`

### addId

    public void addId(java.lang.String name)

  Specified by:
    `addId` in interface `ValidationContext`

### addIdRef

    public void addIdRef(java.lang.String name)

  Specified by:
    `addIdRef` in interface `ValidationContext`

### getSymbol

    public java.lang.String getSymbol(java.lang.String symbol)

  Specified by:
    `getSymbol` in interface `ValidationContext`

### getURI

    public java.lang.String getURI(java.lang.String prefix)

  Specified by:
    `getURI` in interface `ValidationContext`

### setLocale

    public void setLocale(java.util.Locale locale)

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `ValidationContext`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.